package com.ynet.life.controller;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEConstance;
import com.ynet.gene.session.Session;
import com.ynet.gene.web.servlet.ModelAndView;
import com.ynet.gene.web.servlet.mvc.GENERequestController;
import com.ynet.life.base.LifeConstants;
import com.ynet.life.base.Trace;
import com.ynet.life.exception.TranFailException;
import java.util.HashMap;
import java.util.Map;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/* loaded from: com_ynet_life_controller.jar:com/ynet/life/controller/LifeRequestController.class */
public class LifeRequestController extends GENERequestController {
    public ModelAndView doRequest(HttpServletRequest request, HttpServletResponse response) throws Exception {
        if (this.openMonitor) {
            this.accessInfo.newAccess();
        }
        String method = request.getMethod();
        String jspRootPath = getJspRootPath();
        request.setAttribute("jspRootPath", jspRootPath);
        Session session = doSessionCheck(request, response);
        if (session == null) {
            Trace.logError("LifeSession", "Session not exist or timeout");
            throw LifeConstants.EXCEPTION_SESSION_TIMEOUT;
        }
        Context sessionContext = (Context) session.getAttribute(GENEConstance.ATTR_CONTEXT);
        sessionContext.setDataValue("session_userRemoteAgent", LifeClientRequest.getRequestAgent(request));
        if (sessionContext != null) {
            preActionWork(request, sessionContext);
        }
        try {
            try {
                if (!"GET".equalsIgnoreCase(method)) {
                    ModelAndView executeTheFlow = executeTheFlow(request, response);
                    pstActionWork(request, sessionContext, null);
                    return executeTheFlow;
                }
                if (this.inputView == null) {
                    ModelAndView executeTheFlow2 = executeTheFlow(request, response);
                    pstActionWork(request, sessionContext, null);
                    return executeTheFlow2;
                }
                Map model = new HashMap();
                model.put(GENEConstance.ATTR_CONTEXT, sessionContext);
                ModelAndView modelAndView = new ModelAndView(model, this.inputView);
                pstActionWork(request, sessionContext, null);
                return modelAndView;
            } catch (Exception ex) {
                throw ex;
            }
        } catch (Throwable th) {
            pstActionWork(request, sessionContext, null);
            throw th;
        }
    }

    protected void preActionWork(HttpServletRequest request, Context sessionContext) throws TranFailException {
    }

    protected void pstActionWork(HttpServletRequest request, Context sessionContext, Throwable throwable) throws TranFailException {
    }

    protected void pstActionWork(HttpServletRequest request, Context sessionContext) throws TranFailException {
        pstActionWork(request, sessionContext, null);
    }
}
